@font-face {
  font-family: 'Azonix';
  src: url('../fonts/Azonix.otf') format('opentype');
}

@font-face {
  font-family: 'Florencesans';
  src: url('../fonts/Florsn29.ttf') format('truetype');
}

@font-face {
  font-family: 'Exo2';
  src: url('../fonts/Exo2-SemiBold.otf') format('opentype');
}

@font-face {
  font-family: 'Exo2-info';
  src: url('../fonts/Exo2-Regular.otf') format('opentype');
}


:root {
  --dark-1: rgb(96,124,60);
  --dark-1-t: rgb(96,124,60,0.5);
  --dark-2: rgb(128,156,19);
  --dark-3: rgb(171,195,47);
  --dark-4: rgb(181,229,80);
  --dark-5: rgb(236,236,163);
  --logo: rgb(70, 153, 95);

  --dark-shadow: drop-shadow(0px 0px 2px black);
  --light-shadow: drop-shadow(0px 0px 2px var(--dark-5));
}

* {
  margin: 0;
  padding: 0;
  /* box-sizing: border-box; */
}

html, body {
  background: url("../../images/bg_image.jpg") no-repeat center center fixed;
  background-size: cover;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
  /* background-color: var(--dark-1-t); */
  color: var(--dark-5);
  font-family: 'Exo2', sans-serif;
}

body.p1-body, body.p2-body {
  background-color: white;
}

.site-header {
  font-size: 1.1em;
  width: 100%;
  /* background-color: rgba(255, 255, 255, 0.3); */
  background-color: rgba(0, 0, 0, 0.4);
  color: var(--dark-5);
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Azonix', sans-serif;
  padding: 1rem 0;
  backdrop-filter: blur(4px);
  z-index: 10;
  position: relative;
}

.site-header .contact-links {
  margin: 0 15px;
  text-decoration: none;
  color: var(--dark-5);
  font-size: 1.5rem;
  transition: color 0.3s ease;
}

.site-header .contact-links:hover {
  color: var(--dark-4);
}

.site-header .logo,
.site-footer .logo {
  color: var(--logo);
  display: flex;
  align-items: center;
  /* gap: 20px; */
  font-size: 2em;
  /* filter: drop-shadow(1px rgb(0, 0, 0)); */
  filter: drop-shadow(0px 0px 1px black);
}

#logo-img {
  display: block;
  height: 30px;
}

#toggle-lang {
  padding: 8px 16px;
  background-color: var(--dark-5);
  border: none;
  cursor: pointer;
  font-weight: bold;
  text-justify: center;
  border-radius: 1em;

  /* color: var(--dark-1); */

  position: absolute;
  top: 20px;
  right: 30px;
  width: 70px;
  z-index: 20;
  transition: transform 0.3s ease;
  filter: var(--dark-shadow);
}

#toggle-lang:hover {
  transform: scale(1.05);
}

/* HOME */
.triangle-section {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(100% - 45px); /* ostavlja prostor za footer */
  padding: 0;
  box-sizing: border-box;

  opacity: 0;
  transform: translateX(50px);
  transition: opacity 1s ease, transform 1s cubic-bezier(.4,2,.6,1);

}

.triangle-section.visible {
  opacity: 1;
  transform: translateX(0);
}

.triangle {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: white;
  transition: transform 0.3s ease;
}

/* Trouglovi (desktop) */
.triangle .image-wrapper {
  width: 30em;
  height: 30em;
  clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  background-color: var(--dark-5);
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Krug unutar trougla */
.image-placeholder {
  position: absolute;
  width: 62%;
  height: 62%;
  border-radius: 50%;
  background-color: var(--dark-5);
  box-shadow: var(--dark-shadow);
  /* top: calc(60vmin / 6.928); centriranje u trouglu */
  top: 38%;
}

.triangle-center:hover {
  transform: scale(1.03);
}

.triangle-left {
  transform: scale(0.85);
}
.triangle-left:hover {
  transform: scale(0.88);
}

.triangle-right {
  transform: scale(0.8);
}
.triangle-right:hover {
  transform: scale(0.83);
}

.triangle h3 {
  font-family: 'Exo2', sans-serif;
  font-size: 1.6rem;
  margin: 0.5rem 0 0.2rem 0;
  text-align: center;
  font-weight: 100;
}

.triangle p {
  margin-top: 1rem;
  /* text-align: center; */
  max-width: 30rem;
}

.home-footer {
  height: 35px;
  /* background-color: rgba(255, 255, 255, 0.3); */
  background-color: rgba(0, 0, 0, 0.4);
  
  color: white;
  display: flex;
  /* flex-direction: column; */
  justify-content: center;
  font-family: 'Exo2', sans-serif;
  position: absolute;
  bottom: 0;
  width: 100%;
  backdrop-filter: blur(4px);
  z-index: 10;
  font-size: 12px;
}

.home-footer-content {
  /* padding: 0 10px; */
  display: flex;
  align-items: center;
  gap: 10px;
  bottom: 0;

  opacity: 0;
  transform: translateX(-30px);
  transition: opacity 1s ease, transform 1s cubic-bezier(.4,2,.6,1);
}

.home-footer-content.visible {
  opacity: 1;
  transform: translateX(0);
}

.home-footer-group1 p,
.home-footer-group2 p {
  filter: drop-shadow(0px 0px 1px black);
}

.home-footer-group1 {
  display: flex;
  gap: 8px; /* razmak između elemenata */
}

.home-footer-group2 {
  display: flex;
  align-items: center;
}

.home-footer-content a img {
  display: block;
  height: 28px;
  margin: 0 5px;
  /* filter: drop-shadow(0px 0px 1px black); */
  /* filter: drop-shadow(0px 0px 1px white); */
}

@media (max-width: 480px) {
  .home-footer-content {
    width: 100%;
  }

  .home-footer-group1 {
    flex-direction: column;
    gap: 0; /* možeš smanjiti ili zadržati razmak između paragrafa */
    /* width: 60%; */
    margin: 0 auto; /* centriranje */
  }

  .home-footer-group2 {
    /* width: 40%; */
    margin: 0 auto; /* centriranje */
  }
  
}

/* Footer */
.site-footer {
  height: 35px;
  background-color: rgba(0, 0, 0, 0.4);
  color: var(--dark-5);
  display: flex;
  /* flex-direction: column; */
  justify-content: center;
  align-items: center;
  font-family: 'Azonix', sans-serif;
  position: absolute;
  bottom: 0;
  width: 100%;
  backdrop-filter: blur(4px);
  z-index: 10;
}

.footer-content {
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer-content a img {
  display: block;
  height: 24px;
  /* filter: drop-shadow(0px 0px 3px white); */
}

.site-footer .logo {
  display: flex;
  align-items: center;
  /* gap: 10px; */
  font-size: 1.8em;

  opacity: 0;
  transform: translateX(-30px);
  transition: opacity 1s ease, transform 1s cubic-bezier(.4,2,.6,1);
}

.site-footer .logo.visible {
  opacity: 1;
  transform: translateX(0);
}

.triangle-description {
  font-family: 'Exo2', sans-serif;
  font-size: 1.3rem;
  max-width: 30rem;
  text-align: center;
  margin-top: 0.5rem;
  padding: 0 1rem;
}

.triangle-logo {
  width: 25px;
  height: 25px;
  clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  background-color: var(--dark-3);
  filter: var(--light-shadow);
}

.site-footer .contact-links {
  margin: 0 12px;
  text-decoration: none;
  color: var(--dark-5);
  font-size: 1.5rem;
  transition: color 0.3s ease;
}

.site-footer .contact-links:hover {
  color: var(--dark-4);
}

/* laptop */
@media (max-width: 1500px) {
  .triangle .image-wrapper {
    width: 20em;
    height: 20em;
  }

  .triangle h3 {
    font-size: 1rem;
  }

  .triangle-description {
    font-size: 1rem;
  }
}
/* 📱 Responsive za mobilne uređaje */
@media (max-width: 768px) {
  #toggle-lang {
    top: 70px;
    right: 15px;
  }

  body {
    overflow: hidden;
  }

  .site-header .logo, 
  .site-footer .logo {
    /* gap: 7px; */
    font-size: 1.4em;
  }

  #logo-img {
    display: block;
    height: 25px;
  }

  .site-header .contact-links {
    margin: 0 7px;
  }

  .site-footer .contact-links {
    margin: 0 7px;
  }

  .triangle-logo {
    width: 18px;
    height: 18px;
  }

  .triangle-section {
    flex-direction: column;
    gap: 0;
    padding: 0;
    height: calc(100% - 85px);
  }

  .triangle {
    flex-direction: column; 
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    text-align: center;
    padding: 0.5rem;
  }

  .triangle .image-wrapper {
    width: 35vmin;
    height: 35vmin;
  }

  .triangle-left .image-wrapper,
  .triangle-right .image-wrapper {
    transform: none;
  }

  .triangle-left {
    transform: scale(1);
  }
  .triangle-left:hover {
    transform: scale(1.03);
  }

  .triangle-right {
    transform: scale(1);
  }

  .triangle-right:hover {
    transform: scale(1.03);
  }

  .image-placeholder {
    width: 60%;
    height: 60%;
    top: 39.5%;
  }

  .triangle-description {
    margin-left: 0;
    margin-top: 0;
    font-size: 0.8rem;
    padding: 0 0 0 0.5rem;
  }

  .triangle h3 {
    font-size: 1rem;
  }

  .triangle p {
    margin-top: 0;
  }
}

.triangle-center {
  cursor: pointer;
}

#info-icon, #back-icon {
  font-size: 20px;
  color: white;
  cursor: pointer;
  background: rgba(0,0,0,0.5);
  padding: 8px;
  border-radius: 50%;
  display: none; /* sakriveno dok je prozor otvoren */
  width: 20px;
}

#back-icon {
  display: table;
  margin-top: 0.25em;
}

#info-box {
  font-family: 'Exo2-info', sans-serif;
  background: rgba(0,0,0,0.5);
  color: white;
  padding: 10px 35px 10px 10px;
  border-radius: 1em;
  position: relative;
  display: block; /* otvoren po default-u */
}

#info-box p {
  margin: 0.25rem 0;
  font-size: 16px;
  /* font-style: oblique; */
}

#info-close {
  position: absolute;
  top: 8px;
  right: 8px;
  background: none;
  border: none;
  color: white;
  cursor: pointer;
  font-size: 16px;
}

.container {
  display: flex;
  width: 100%;
  height: 100vh;
  flex-direction: row;
}

.title {
  font-family: 'Azonix', sans-serif;
  font-size: 2.5rem;
  margin-bottom: 1.5rem;
  color: var(--dark-5);
  text-align: center;
}

/* Search container to control layout */
.search-container {
  top: 20px;
  left: 25%;
  width: 50%;
  position: absolute;
  z-index: 10;
}

#p1-search {
  width: 100%;
  padding: 0.6rem;
  font-size: 1rem;
  background-color: var(--dark-3);
  color: white;
  text-shadow: 0px 0px 3px black; 
  text-indent: 5px;
  border: none;
  border-radius: 4px;
  outline: none;
  font-family: 'Exo2', sans-serif;
  box-sizing: border-box;
  filter: var(--dark-shadow);
  border-radius: 1.3rem;
  padding-right: 4rem; /* room for icons */
}

#p1-search::placeholder {
  color: white;
}

#closeIcon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 18px;
  color:white;
  display: none;
}

#backspaceIcon {
  position: absolute;
  right: 38px; /* adjust to sit left of closeIcon */
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 18px;
  color: white;
  display: none;
}

.order-container {
  position: relative; /* Required for correct absolute positioning inside */
  display: flex;
  justify-content: flex-end;
  align-items: flex-start; /* optional, for vertical alignment */
  width: 100%;
}

#suggestions, #order-opt-list {
  position: absolute;
  top: 85%;
  left: 0;
  width: max-content;
  min-width: 100%; /* ensures it matches button width at minimum */
  list-style: none;
  background-color: var(--dark-3);
  margin-top: 0.5rem;
  max-height: 145px;
  overflow-y: auto;
  z-index: 30;
  padding: 0;
  display: none; /* hidden by default */
  filter: var(--dark-shadow);
  border-radius: 1rem;

  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none;  /* IE and Edge */
}

#order-opt-list {
  top: 70%;
}

#suggestions::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}

#suggestions.show, #order-opt-list.show {
  display: block;
}

#suggestions li, #order-opt-list li {
  padding: 0.4rem;
  cursor: pointer;
  font-family: 'Exo2', sans-serif;
  color: white;
}

#suggestions li:hover, #order-opt-list li:hover {
  filter: var(--dark-shadow);
}

.p1-panel {
  width: 100%;
  height: 100%;
}

#p1-map {
  width: 100%;
  height: 100%;
  z-index: 0;
}

/* Mobile layout */
@media (max-width: 768px) {
  .container {
    flex-direction: column;
  }

  .search-container {
    left: 10px;
    width: calc(100% - 20px);
    /* width: 100%; */
  }

  #suggestions {
    max-height: 115px;
  }
}

.leaflet-popup-content-wrapper {
  font-family: 'Florencesans', sans-serif;
  background-color: var(--dark-1);
  color: white;
  border-radius: 1em;
}

/* Remove the default popup tip (optional) */
.leaflet-popup-tip {
  background-color: var(--dark-1);
}

.munic-tooltip {
  font-family: 'Exo2', sans-serif;
  font-size: 0.9rem;
  /* font-weight: bold; */
  background-color: var(--dark-1);
  color: white;
  border-radius: 1rem;
}

/* Custom inner content styling */
.custom-popup {
  text-align: center;
  /* font-family: Arial, sans-serif; */
}

.custom-popup .popup-title {
  font-size: 1em;
  font-weight: bold;
  margin-bottom: 0.5em;
}

.custom-popup .popup-button {
  font-family: 'Florencesans', sans-serif;
  background-color: var(--dark-2);
  color: white;
  border: none;
  padding: 4px 8px;
  border-radius: 4px;
  cursor: pointer;
}

.side-panel {
  position: absolute;
  top: 0;
  bottom: 0;
  width: calc(100% - 85px);
  max-width: 300px;
  background-color: rgba(0, 0, 0, 0.65);
  /* color: var(--dark-5); */
  color: white;
  overflow-y: auto;
  padding: 1rem;
  transition: transform 0.3s ease;
  z-index: 20;
}

#p2-map {
  width: 100vw;
  height: 100vh;
  z-index: 0;
}

path.leaflet-interactive:focus {
    outline: none;
}

.p2-left-panel {
  left: 0;
  /* transform: translateX(-100%); */
  display: none;
  animation: closing-left 0.3s forwards;
}

.p2-right-panel {
  right: 0;
  /* transform: translateX(100%); */
  display: none;
  animation: closing-right 0.3s forwards;
}

.side-panel.open.p2-left-panel {
  /* transform: translateX(0); */
  display: block;
  animation: closing-left 0.3s backwards;
}

.side-panel.open.p2-right-panel {
  /* transform: translateX(0); */
  display: block;
  animation: closing-right 0.3s backwards;
}

@keyframes closing-right {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0);
    /* display: none; */
  }
}

@keyframes closing-left {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
    /* display: none; */
  }
}

.side-panel h2 {
  font-family: 'Azonix', sans-serif;
  margin-bottom: 1rem;
}

.side-panel label {
  display: block;
  margin-top: 0.5rem;
  font-size: 1.1rem;
  font-weight: bold;
  text-align: center;
  filter: var(--dark-shadow);
}

.side-panel p {
  margin-top: 0.5rem;
  margin-right: 0.5rem;
  filter: var(--dark-shadow);
}

.side-panel input[type="range"] {
  width: 100%;
}

.side-panel input[type="checkbox"], input[type="radio"] {
  margin-right: 0.5rem;
}

.filter-label,
.results-label {
  margin: 0 0.5rem;
  opacity: 1;
  transform: translateX(0);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.hide-label .filter-label {
  opacity: 0;
  transform: translateX(100px);
}

.hide-label .results-label {
  opacity: 0;
  transform: translateX(-100px);
}

#toggle-filters,
#toggle-results {
  position: absolute;
  top: 10px;
  padding: 0.5rem 1rem;
  border-radius: 1em;
  background-color: var(--dark-2);
  color: white;
  border: none;
  cursor: pointer;
  z-index: 30;
  font-family: 'Florencesans', sans-serif;
  font-size: 1rem;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  white-space: nowrap;
  max-width: 200px; /* full width with label */
  overflow: hidden;
  filter: var(--dark-shadow);
}

#toggle-filters i, #toggle-filters span, 
#toggle-results i, #toggle-results span,
#filters-reset i, #filters-search span,
#results-order i, #results-order span,
#refresh-prop i, #refresh-prop span,
#results-3d span, #results-pp span, #contact-prop span
{
  filter: var(--dark-shadow);
}

#contact-prop {
  width: 87%;
}

#results-order:focus{
  background-color: var(--dark-3);
}

#toggle-filters.icon-only .filter-label {
  opacity: 0;
  transform: translateX(100px);
  pointer-events: none;
}

#toggle-results.icon-only .results-label {
  opacity: 0;
  transform: translateX(-100px);
  pointer-events: none;
}

#toggle-filters.icon-only {
  padding: 0.5rem;
  max-width: 33px;
  justify-content: left;
}

#toggle-results.icon-only {
  padding: 0.5rem;
  max-width: 33px;
  justify-content: right;
}

#toggle-filters:active,
#toggle-results:active {
  transform: scale(0.95);
  transition: all 0.1s ease;
}

#toggle-filters:hover,
#toggle-results:hover {
  scale: 1.05;
  transition: all 0.1s ease;
  background-color: var(--dark-3);
}

#toggle-filters {
  left: 10px;
}

#toggle-results {
  right: 10px;
}

#results-list {
  list-style: none;
  padding: 0;
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.fade-out-up {
  opacity: 0;
  transform: translateY(100px);
}

.fade-in-down {
  opacity: 1;
  transform: translateY(0);
}

#results-list li {
  /* background-color: var(--dark-2); */
  font-size: 1em;
  border: 1px solid white;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  cursor: pointer;
  border-radius: 1em;
  /* filter: var(--dark-shadow); */
}

#results-list li:hover, 
#results-list li.active {
  /* background-color: var(--dark-3); */
  background-color:rgba(0, 0, 0, 0.3);
  /* font-size: 1.05em; */
  transition: all 0.1s ease;
}

/* Lista rezultata sa proširenjem */
.result-title {
  filter: var(--dark-shadow);
}

.result-details {
  font-size: 0.9rem;
  color: white;
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, opacity 0.3s ease;
  pointer-events: none;
  filter: var(--dark-shadow);
}

.result-details.open {
  max-height: 500px; /* adjust based on content size */
  opacity: 1;
  pointer-events: auto;
  margin-top: 0.5rem;
}

.result-details p {
  margin: 0.2rem 0;
}

.result-details button.open-3d,
.result-details button.open-pp,
.result-details button.contact-property,
.search-button,
.reset-filter-button,
.order-button,
.refresh-button {
  font-weight: bold;
  margin: 0.3rem;
  padding: 0.5rem;
  background-color: var(--dark-2);
  border: none;
  border-radius: 1rem;
  cursor: pointer;
  font-family: 'Florencesans', sans-serif;
  font-size: 0.75rem;
  color: white;
  filter: var(--dark-shadow);
}

.order-button,
.refresh-button {
  width: 50%;
}

/* .filters-panel button.search-button  */
.search-button {
  /* margin-top: 0; */
  width: calc(100% - 60px);
  max-width: 220px;
  font-size: 0.85rem;
}

.reset-filter-button {
  /* margin-top: 0; */
  font-size: 0.85rem;
}

.search-button:active,
.reset-filter-button:active,
.order-button:active,
.refresh-button:active {
  transform: scale(0.95);
  transition: all 0.1s ease;
}

.search-button:hover,
.reset-filter-button:hover,
.order-button:hover,
.refresh-button:hover {
  /* scale: 1.05; */
  background-color: var(--dark-3);
  transition: all 0.1s ease;
}

.result-details:hover button.open-3d:hover,
.result-details:hover button.open-pp:hover,
.result-details:hover button.contact-property:hover,
.result-details:hover button.open-3d:active,
.result-details:hover button.open-pp:active,
.result-details:hover button.contact-property:active
{
  background-color: var(--dark-3);
  transition: all 0.1s ease;
}

.result-details:hover button.open-3d:active,
.result-details:hover button.open-pp:active,
.result-details:hover button.contact-property:active
{
  transform: scale(0.95);
  transition: all 0.1s ease;
}

.detail-list {
  display: grid;
  grid-template-columns: max-content 1fr;
  gap: 0.3rem 1rem;
  margin: 0.5rem 0;
  color: white;
}

.detail-list dt {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.detail-list dd {
  margin-bottom: 0.5rem;
}

.detail-list dt i {
  margin-right: 0.3rem;
  color: #fff; /* Or a muted color like #ccc for less emphasis */
  width: 1rem;
  text-align: center;
}

.detail-list .is-null {
  opacity: 0.5;
}

/* Uklonjen naslov "Filteri" */
#filters-panel h2 {
  /* display: none; */
  text-align: right;
}
  
/* Uklonjen naslov "Rezultati" */
#results-panel h2 {
  /* display: none; */
  text-align: left;
}

/* Apply to both panels */
#filters-panel, #results-panel {
  overflow-y: auto; /* Enable vertical scroll if needed */
  scrollbar-width: thin; /* Firefox */
}

/* Chrome, Edge, Safari */
#filters-panel::-webkit-scrollbar,
#results-panel::-webkit-scrollbar {
  width: 3px;
}

#filters-panel::-webkit-scrollbar-track,
#results-panel::-webkit-scrollbar-track {
  background: transparent; /* Invisible track */
}

#filters-panel::-webkit-scrollbar-thumb,
#results-panel::-webkit-scrollbar-thumb {
  background-color: #444;    /* Dark thumb */
  border-radius: 3px;
  border: 1px solid transparent; /* subtle border */
}

/* Double sliders */
.filter-property {
  margin-bottom: 15px;
}
.slider-label {
  font-weight: bold;
  /* margin-bottom: 10px; */
  display: block;
}
.slider {
  margin: 10px 0;
}
.slider-values {
  display: flex;
  justify-content: space-between;
  font-size: 0.75rem;
}

/* noUi buttons restyle */
.noUi-connect {
  background:var(--dark-4);
}

/* Make the slider track narrower */
.noUi-horizontal {
  height: 6px; /* default is 8-10px */
}

/* Adjust the empty track color */
.noUi-target {
  background: var(--dark-1);  /* Light gray background */
  border-radius: 3px;
  filter: var(--dark-shadow);
  box-shadow: none;
}

/* Make the handles (buttons) smaller and circular */
.noUi-handle {
  /* width: 14px;
  height: 14px; */
  border-radius: 50%;
  top: -4px; /* aligns with thinner track */
  background: white;
  border: 2px solid var(--dark-1);
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  transition: transform 0.1s ease;
}

.noUi-horizontal .noUi-handle {
  width: 14px;
  height: 14px;
  right: -8px;
  top: -5px;
}

.noUi-handle:active {
  transform: scale(1.3);
  border: 2px solid var(--dark-3);
}

/* Remove the "notch" inside the handle */
.noUi-handle::before,
.noUi-handle::after {
  display: none;
}

/* Custom checkbox */
input[type="checkbox"], 
input[type="radio"] {
  accent-color: var(--dark-2);
  transition: all 0.2s ease;
  filter: invert(90%) hue-rotate(180deg) brightness(1.8);
}
